Auto Multiple Choice - Bug # 455: Scan is not recognising properly

Status: Closed Priority: Normal

Author: Yogesh Chaudhari Category: AMC-TXT

Created: 01/13/2017 Assignee:

Updated: 02/08/2021 Due date:

Description: I am trying to upload scan answersheet but its not recognising properly. Please find below scan file of my
test.

History

01/13/2017 09:16 pm - Alexis Bienveniie
- Priority changed from Immediate to Normal

- Assignee deleted (Alexis Bienveniie)

Can you provide a minimal working example that shows the bug?
01/19/2017 04:27 pm - red sea
you can used my templates from her:

https://sourceforge.net/projects/ohodquizgame/files/AMC/

04/12/2017 07:41 pm - Alexis Bienveniie

- Status changed from New to Feedback

10/18/2020 06:03 pm - P K

- File AMC-DEBUG-Wg7_cuNC.log added

- File page-3-1.jpg added

Hi, any news on this?

| have a similar problem where the layout boxes are wrongly positioned.

| played around with the scan settings in AMC (force conversion etc), but it did not make a difference.

| can provide project + scans via private link.

10/18/2020 06:38 pm - Alexis Bienvenlie

Please provide a minimal working example that shows the bug: a source file as small as possible that can be given to AMC without modification, and if

necessary a corresponding scan file, so that the bug occurs when processing these files.

Maybe you can start with your project files, and try removing more and more stuff from them checking at each step if the bug occurs or not.

10/18/2020 07:02 pm - P K

Hope this will do:

https://www.dropbox.com/sh/tr1gxfrzko7giOr/AADY60G_siSIWFmuzgbEHLXSa?dI=1

auto-multiple-choice analyse --data ./data/ --projet ./ scans/0001.pdf-page-001-000.pbm

-> result in ./cr/page-2-1.jpg with "distorted" boxes as seen above
10/18/2020 07:13 pm - Alexis Bienveniie
This is missing the "as small as possible" part ;)

10/18/2020 08:49 pm - P K
- File test.zip added

- File page-1-1.jpg added

Sorry. This time with only two basic questions, skipping all the other stuff. "Scan" is from a camera, but it shows that the distortion seems not to be

corrected, or am | wrong?

10/18/2020 09:02 pm - Alexis Bienvenlie

AMC cannot correct camera lenses distortions. Can you try with a flatbed scanner?

10/18/2020 09:18 pm - P K

- File test2.zip added

Yes that's what | did before. | have this example with only one question but including the header (so not exactly minimal). But it shows the distortion with

a scan from a flatbed scanner. It's some older model from Canon: DR-6010C

If it helps | will try to provide a scan matching the test.zip from above.
Thanks for the support so far!

FYI, I now switched to 1.4.0+git2020-08-23-1~focal1 for testing.

02/08/2021 04:42 pm - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Files

page-7-5.jpg 684.3 kB 01/13/2017 Yogesh Chaudhari
AMC-DEBUG-Wg7_cuNC.log 96.6 kB 10/18/2020 P K
page-3-1.jpg 567.1 kB 10/18/2020 P K
test.zip 280 kB 10/18/2020 P K
page-1-1.jpg 178.8 kB 10/18/2020 P K
test2.zip 790.6 kB 10/18/2020 P K
